import request from '@/utils/request'

// 查询流场输出列表
export function listFlowOut(query) {
  return request({
    url: '/data/flowOut/list',
    method: 'get',
    params: query
  })
}

// 查询流场输出详细
export function getFlowOut(id) {
  return request({
    url: '/data/flowOut/' + id,
    method: 'get'
  })
}

// 新增流场输出
export function addFlowOut(data) {
  return request({
    url: '/data/flowOut',
    method: 'post',
    data: data
  })
}

// 修改流场输出
export function updateFlowOut(data) {
  return request({
    url: '/data/flowOut',
    method: 'put',
    data: data
  })
}

// 删除流场输出
export function delFlowOut(id) {
  return request({
    url: '/data/flowOut/' + id,
    method: 'delete'
  })
}
//
export function getFlowFieldOutputID(){
    return request({
      url:'/data/flowOut/getFlowOutputOption',
      method:'get'
    })
}
